prefab = {
	username: "Angelo",
	spawn: {x: 472, y: 58, z: 460, r: 450},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: true
}

const questId = "rob1";
const getQuestStage = (client) => {
	return Number(client.prop(questId)) || 0;
}

dialogue = new Dialogue();

dialogue.mainMenu = ["co", "info"];

dialogue.setSpeech(
	"greeting", "Greeting", 
	[
		"NOTHING HERE"
	],
	{
		condition: function(client) {
			if(client.prop("detective")) {
				if(getQuestStage(client) == 5) 
					return "greetingnext5"; 

				if(getQuestStage(client) == 6) 
					return "greetingnext6"; 
				
				if(getQuestStage(client) == 7) 
					return "greetingnext7"; 
				
				if(time() - (Number(client.prop("detectivetime") || 0)) > 86400)
					return "greetingdet"; // they've been a det for more than 24 hours
				else
					return "newdet"; // they've just turned into a det
			}

			return "greetingfirst";
		}
	}
);
dialogue.setSpeech(
	"greetingfirst", "Greeting",
	[
		"Please step aside, this whole area is a crimescene"
	],
	{
		responses: ["help"]
	}
);
dialogue.setSpeech(
	"greetingdet", "Greeting",
	[
		"Great to see you here, %name%!",
		"My name is Angelo. I was told about you from other detectives",
		"Is great to have some backup here, so please look around",
		"Tell me anything suspicous you find.",
		"By the way, do you need an update on what we've find?"
	],
	{
		responses: ["info", "no"]
	}
);
dialogue.setSpeech(
	"help", "How can I help with this case?",
	[
		"Huh. So you're interested in helping?",
		"Well if you want to become a detective talk to the boss",
		"His name is Hercule, he should be in the Imperial Bank", 
		"Good luck with that"
	]
);
dialogue.setSpeech(
	"newdet", "Greeting",
	[
		"Hey, you got the job, That's nice!",
		"Let me introduce myself... My name is Angelo, I am the detective in charge here",
		"Please look around for any clues or suspicious stuff", 
		"And let me know right away if you find anything",
		"By the way, do you need an update on what we've find?"
	],
	{
		responses: ["info", "no"]
	}
);
dialogue.setSpeech(
	"info", "Information",
	[
		"There are two lion heads missing from their statues",
		"That is a big loss, but there's something even more strange",
		"We found the King's throne was missing from his room...",
		"The strangest part is the room was completely lock",
		"But yet again there was no use of force, nor anything broken",
		"These criminals are like ghosts... they entered and left like nothing happened"
	]
);
dialogue.setSpeech(
	"co", "Crime Office",
	[
		"As you've probably heard from other people, the CO is back.",
		"It took awhile to gain everything back and make all this work",
		"But I assure you, we're stronger than ever.",
		"It's nice to have new people, so please spread the news",
		"And if you need anything, don't hesitate to look for me",
		"My ID badge is 440, and I work in the crime scene department",
		"Would you like to know more about our departments?"
	],
	{
		responses: ["yes", "no"]
	}
);
dialogue.setSpeech(
	"yes", "Yes, please tell me more.",
	[
		"Okay, that's great.",
		"The only thing you need to know, is that the CO is divided in two.",
		"We got the HQ, and the crime scene people.",
		"As I mentioned before, I am part of the crime scene",
		"Okay so, the difference between the departments is:",
		"HQ people focus on the clues, and discories in our HQ",
		"Doing experiments, analyzing with tools, and stuff like that",
		"Meanwhile in my department, we go to the actual place of the crime",
		"Discover the clues, see what's left behind, and sometimes even fight the criminals.",
		"That's pretty much all."
	]
);
dialogue.setSpeech(
	"no", "No, it's okay",
	[
		"No problem, have a good one."
	]
);
dialogue.setSpeech(
	"greetingnext5", "Greeting",
	[
		"Oh you have new intel? Do tell please!",
		"So it sounds like they're picking up the stolen goods on Thursday night?",
		"This is great information detective, please make sure you tell Inspector Hercule right away!",
		"We can use this as a trap..."
	],
	{
		action: (client) => {
			client.setProp(questId, 6);
		}
	}
);
dialogue.setSpeech(
	"greetingnext6", "Greeting",
	[
		"We'll catch them."
	]
);
dialogue.setSpeech(
	"greetingnext7", "Greeting",
	[
		"Inspector Hercule has entrusted catching them to you. We'll catch them!"
	]
);