prefab = {
	username: "Cultist", 
	newUsername: "$", 
	nickname: "Cultist",
	overrideData: {},
	wanders: true,
	follows: false,
	attacks: false
}

dialogue = new Dialogue();

dialogue.mainMenu = ["morgoth", "nargothrond", "buff"];

dialogue.setSpeech(
	"greeting", "GREETING",
	[
		"What is the color of darkness?"
	],
	{
		after: function(client) {
			client.input("What is the color of darkness?", function(text) {
				let ans = text.toLowerCase();
				
				client.cultAnswer = ans;
				handleXtMessage("tt", [prefab.username, "answer"], client);
			});
		},
		afterInterval: 2500,
		condition: function(client) {
			if(client.prop("mgb")) return "brothergreet";
		},
		responses: []
	}
);
dialogue.setSpeech(
	"brothergreet", "GREETING",
	[
		"Welcome back, brother %name%"
	],
	{
		
	}
);
dialogue.setSpeech(
	"answer", "ANSWER",
	[
		"Hmm"
	],
	{
		condition: function(client) {
			if(String(client.cultAnswer).toLowerCase() != "umbra") return "wronganswer";
			if(!client.prop("mgb")) return "initiation";
		},
		responses: []
	}
);
dialogue.setSpeech(
	"initiation", "INTIATION",
	[
		"Fresh meat...",
		"Welcome to the Morgoth Brotherhood. Now, sell your soul.",
	],
	{
		responses: ["sellsoul", "wronganswer"]
	}
);
dialogue.setSpeech(
	"sellsoul", "I sell my soul to Morgoth",
	[
		"Hahaha! Good. Welcome, brother %name%.",
		"You are now a member of the Morgoth Brotherhood."
	],
	{
		after: function(client) {
			if(client.prop("mgb")) return;
			client.setProp("ovac", "0x000001");
			client.addItem("ObsidianDagger");
			client.setProp("mgb", 1);
			client.addStrength(1000);
		}
	}
);
dialogue.setSpeech(
	"wronganswer", "No",
	[
		"Wrong answer."
	],
	{
		action: function(client, bot) {
			for(let i in bot.room.clients) {
				let bclient = bot.room.clients[i];
				if(!valid(bclient)) continue;
				if(!bclient.bot) continue;
				
				bclient.targetId = client.data.id;
				bclient.attacking = true;
				bclient.lastReaction = time() + 1200;
				
				SendBotUpdate(bclient);
			}
		},
		responses: []
	}
);
dialogue.setSpeech(
	"morgoth", "Morgoth",
	[
		"Ah, Lord Morgoth. He lives on... in our hearts.",
		"Who were the Valar other than self-righteous dictators? Morgoth was merely seeking independence.",
		"And so are we."
	],
	{
		
	}
);
dialogue.setSpeech(
	"nargothrond", "Nargothrond",
	[
		"We indeed do live below Nargothrond. This ancient underground city was built to fend off Morgoth.",
		"However, ironically, it is now governed by Morgoth lovers, Morgoth fans!",
		"Hahaha, poetic, isn't it?",
		"What's that? Yes... it's true. The 'Queen' is no more than a puppet, ruled by the Head Cultist."
	],
	{
		responses: ["headcultist"]
	}
);
dialogue.setSpeech(
	"headcultist", "Head Cultist?",
	[
		"The Head Cultist, yes. He goes by many names. But the one we use is... The Shadow.",
		"He is the true ruler of Nargothrond. He has the Queen under his control. Annalle is absorbed through vanadium deception."
	],
	{
		
	}
);
dialogue.setSpeech(
	"buff", "Strength",
	[
		"Do you desire a strength blessing from The Shadow's Tomb of Morgoth?"
	],
	{
		responses: ["yesbuff", "nobuff"]
	}
);
dialogue.setSpeech(
	"yesbuff", "Yes",
	[
		"May the Shadow Tomb strengthen you, brother."
	],
	{
		condition: function(client) {
			if(time() - Number(client.prop("mgbuff")) < 86400 && client.prop("mgbuff")) {
				return "buffdeny";
			}
		},
		after: function(client) {
			client.addStrength(rand(50, 5000));
			client.setProp("mgbuff", time());
		}
	}
);
dialogue.setSpeech(
	"nobuff", "No",
	[
		"Ahahaha. AHAA. HAAHAHAHAHAHAAAAAH!",
		"DO NOT BE AFRAID OF GREED."
	],
	{}
);
dialogue.setSpeech(
	"buffdeny", "BUFFDENY",
	[
		"Let the sun rise and sun set pass, so that the tomb may offer you more than a word."
	],
	{}
);