prefab = {
	username: "Dr Franklin", 
	spawn: {x: 24, y: -3.9, z: 10, r: 162},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: true
}

dialogue = new Dialogue();

dialogue.mainMenu = [];

let questId = "q1s";
let getMyQuestStage = function(client) {
	return Number(client.prop(questId)) || 0
}

dialogue.setSpeech(
	"greeting", "Greeting",
	[
		"I won't say anything if you don't say anything."
	],
	{
		condition: function(client) {
			let stage = getMyQuestStage(client);
			if(stage == 1) return "inductionprompt";
			if(stage == 3) return "resourceprompt";
			if(stage == 4) return "uraniumprompt";
			if(stage == 5) return "doneprompt";
			if(stage == 6) return "uraniumprompt";
		}
	}
);
dialogue.setSpeech(
	"inductionprompt", "Greeting",
	[
		"Ah, you must be the new doctor due to start today.",
		"My name's Dr. Franklin, head of resource management at the base.",
		"There's only three of us working here regularly now. This is where we sleep.",
		"Kitchen is where you can find water, food. Don't have too much, its only stocked once per month."
	]
)
dialogue.setSpeech(
	"resourceprompt", "Greeting",
	[
		"Hello doctor! Dr. Franklin at your service. I'm head of resource management at the base.",
	],
	{
		responses: ["needstuff"]
	}
)
dialogue.setSpeech(
	"uraniumprompt", "Greeting",
	[
		"Once you have the uranium, I can get the reactor working again.",
	],
	{
		responses: ["uranium"]
	}
)
dialogue.setSpeech(
	"needstuff", "I need stuff",
	[
		"What stuff, doctor?",
	],
	{
		responses: ["needstuff2"]
	}
)
dialogue.setSpeech(
	"needstuff2", "For a physics experiment",
	[
		"Ah, I see! The same again, I suppose?",
	],
	{
		responses: ["thesame", "yesofc"]
	}
)
dialogue.setSpeech(
	"thesame", "The same?",
	[
		"Dr. Smith probably wants the same as last time.",
	],
	{
		responses: ["yesofc"]
	}
)
dialogue.setSpeech(
	"yesofc", "Yes, of course",
	[
		"I'll need your help though. Uranium is not easy to get.",
		"We ran out last month, so the reactor broke. Therefore, we need to rely on nature's reactor...",
	],
	{
		responses: ["natures"]
	}
)
dialogue.setSpeech(
	"natures", "Nature's reactor?",
	[
		"Yes. The sun.",
		"You look like the type of doctor who isn't afraid to get close to trouble, right?",
		"Head to the sun and get some uranium so that we can make plutonium."
	],
	{
		responses: ["okbro", "noty"]
	}
)
dialogue.setSpeech(
	"noty", "No thanks",
	[
		"Alright... I suppose what I'm asking of you is stupid. Maybe one of the soldiers will do it.",
		"That'll be all Dr. Chicke- I mean Dr. %name%."
	]
)
dialogue.setSpeech(
	"notyet", "Not yet",
	[
		"Alright, doctor."
	]
)
dialogue.setSpeech(
	"okbro", "Okay",
	[
		"Once you have the uranium, I can get the reactor working again. Then you'll have all you'll need."
	],
	{
		action: function(client) {
			client.setProp(questId, 4);
		}
	}
)
dialogue.setSpeech(
	"uranium", "Uranium",
	[
		"Uranium is part of the process of producing plutonium in the reactor.",
		"We usually just get it from earth, but shipments have slowed since the war.",
		"Therefore, we rely mainly on the rocks here on Venus, but the sun always gives us plenty.",
		"Problem is, nobodies around who's brave enough to go that close to our star."
	]
)
dialogue.setSpeech(
	"doneprompt", "Greeting",
	[
		"Hello doctor. Have you got the Uranium yet?"
	],
	{
		responses: ["yesuranium", "notyet"]
	}
)
dialogue.setSpeech(
	"notenuff", "Not enough",
	[
		"You need 10 uranium ore, doctor. Otherwise, we can't make enough plutonium."
	]
)
dialogue.setSpeech(
	"yesuranium", "Yes, I do (gives)",
	[
		"Great work doctor! Now the reactor can work again.",
		"Come back in a few days. By then, the reactor should have produced enough plutonium for you."
	],
	{
		condition: function(client) {
			if(client.getItemCount("UraniumOre") < 10) return "notenuff";
		},
		action: function(client) {
			client.removeItem("UraniumOre", 10);
			client.setProp(questId, 6);
			client.setProp("q1reactor", time());
		}
	}
)
dialogue.setSpeech(
	"uraniumprompt", "Greeting",
	[
		"The plutonium isn't ready yet. Come back soon, doctor."
	]
)