prefab = {
	username: "Dusty",
	overrideData: {hands: "Invisible"}, 
	spawn: {randomPoint: true},
	follows: false,
	attacks: false,
	unreactive: true,
	apCondition: function(client, bot) {
		let s = Number(client.prop("q2s")) || 0;
		
		if(bot.roomId == "MarshCave") {
			if(s < 4) return false;
			return true;
		}
		
		if(s >= 4) return false;
		
		return true;
	}
}

dialogue = new Dialogue();

dialogue.mainMenu = [];

let questId = "q2s";
let getMyQuestStage = function(client) {
	return Number(client.prop(questId)) || 0
}

dialogue.setSpeech(
	"greeting", "Greeting",
	[
		"*Woof*"
	],
	{
		condition: function(client) {
			let stage = getMyQuestStage(client);
			if(stage == 1) return "saveus";
			if(stage == 2 || stage == 3) return "outside";
		}
	}
);
dialogue.setSpeech(
	"saveus", "Greeting",
	[
		"*Woof* GET BACK! DON'T TOUCH US OR I WILL RIP YOU TO PIECES!"
	],
	{
		responses: ["chill", "menacing"]
	}
);
dialogue.setSpeech(
	"chill", "Relax! I'm here to save you!",
	[
		"*Woof* R-really? Where's mom?"
	],
	{
		responses: ["outside"]
	}
);
dialogue.setSpeech(
	"menacing", "Not if I rip you up first",
	[
		"*Woof* **WOOOOOOF** !***RAAAWRR***!"
	],
	{
		action: function(client, bot) {
			bot.targetId = client.data.id;
			bot.attacking = true;
			bot.lastReaction = time();
		}
	}
);
dialogue.setSpeech(
	"outside", "She's outisde",
	[
		"*Woof* Thank goodness you're here! She must have sent you to save us!"
	],
	{
		responses: ["followme"]
	}
);
dialogue.setSpeech(
	"followme", "Follow me!",
	[
		"*Woof* Brothers and sisters, lets follow this person! Mom sent him!"
	],
	{
		action: function(client, bot) {
			client.setProp(questId, 4);
			setTimeout(function() {
				client.joinRoom("MarshCave", "Q2Spawn");
				client.onRoomJoined = function() {
					setTimeout(function() {
						handleXtMessage("tt", ["Chance", "thanks"], client);
					}, 3000);
				}
			}, 5000);
		},
		condition: function(client) {
			let stage = getMyQuestStage(client);
			if(stage < 3) return "fireup";
		}
	}
);
dialogue.setSpeech(
	"fireup", "Follow me!",
	[
		"*Woof* No! Not while the fires are still in the way!"
	],
	{
		action: function(client, bot) {
			client.setProp(questId, 2);
		}
	}
);