prefab = {
	username: "Lance", 
	spawn: {randomPoint: true},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: false
}

const questId = "lanceoq";
const getQuestStage = (client) => {
	return Number(client.prop(questId)) || 0;
}
const itemsForLance = {
	"IronOre": 30,
	"SteelOre": 10,
	"ObsidianOre": 3
}

dialogue = new Dialogue();

dialogue.mainMenu = [];

dialogue.setSpeech(
	"greeting", "Greeting", 
	[
		"NOTHING HERE"
	],
	{
		condition: function(client) {
			if(getQuestStage(client) == 1){
				return "greetinginfo"
			}
			if(getQuestStage(client) == 2){
				return "greetingthanks"
			}
			return "greetingask";
		}
	}
);

dialogue.setSpeech(
	"greetingask", "Greeting", 
	[
		"Hello %name% please listen to me",
		"I need your help"
	],
	{
		responses: ["yes", "no"]
	}
);

dialogue.setSpeech(
	"yes", "I will gladly help you",
	[
		"Thank you very much kind user",
		"Please get me the ores I need to finish what my master told me",
		"3 obsidian, 10 Steel, and 30 Iron ores"
	],
	{
		action: function(client) {
			client.setProp(questId, 1);
		}
	}

);

dialogue.setSpeech(
	"no", "Sorry, I can't right now",
	[
		"Oh, I hope you can do it later"
	],
)

dialogue.setSpeech(
	"greetinginfo", "Greeting",
	[
		"How is it going, have you found them yet?"
	],
	{
		responses: ["yesitems", "noitems"]
	}
)

dialogue.setSpeech(
	"yesitems", "Yes, I have",
	[
		"Thank you! I will give you 20 gold for helping me!"
	],
	{
		displays: (client) => {
			// loop through the items object and check if the user
			// has all the items

			let hasAll = true;

			for(let itemId in itemsForLance) {
				let quant = itemsForLance[itemId];

				if(client.getItemCount(itemId) < quant) {
					hasAll = false;
					break;
				}
			}

			return hasAll;
		},
		action: function(client) {
			for(let itemId in itemsForLance){
				let quant = itemsForLance[itemId];
				client.removeItem(itemId, quant)
			}
			
			client.addItem("GoldOre", 20)
			client.setProp(questId, 2);
		}
	}
)
dialogue.setSpeech(
	"noitems", "No, I don't",
	[
		"Ok, tell me when you do."
	]
)

dialogue.setSpeech(
	"greetingthanks", "Greeting", 
	[
		"Hello %name%, I hope you're doing well",
		"If I ever need help again I'll sure contact you!"
	]
);