prefab = {
	username: "Shamog", 
	spawn: {randomPoint: true},
	overrideData: {
		head: "GoblinHead",
		body: "RobesBlack",
		hands: "RadiumAxe"
	},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: false
}

const questId = "gobtq";
const getQuestStage = (client) => {
	return Number(client.prop(questId)) || 0;
}

dialogue = new Dialogue();

dialogue.mainMenu = ["goblintown", "shamog"];

dialogue.setSpeech(
	"greeting", "Greeting", 
	[
		"NOTHING HERE"
	],
	{
		condition: function(client) {
			if(client.prop("goblinking")) {
				return "greetgoblinking";
			}
			if(getQuestStage(client) == 3 && client.getItemCount("StaffGobhelin") > 0) {
				return "greetingstaff";
			}
			if(getQuestStage(client) == 4) {
				return "greetingcurse";
			}
			if(getQuestStage(client) == 5) {
				return "greetingfriend";
			}
			if(getQuestStage(client) >= 1) {
				return "greetingold";
			}
			return "greetingnew";
		}
	}
);

dialogue.setSpeech(
	"greetgoblinking", "Greeting", 
	[
		"Your grace, welcome back!"
	]
);
dialogue.setSpeech(
	"greetingnew", "Greeting", 
	[
		"Fresh meat..."
	],
	{
		action: function(client) {
			client.setProp(questId, 1);
		}
	}
);
dialogue.setSpeech(
	"greetingold", "Greeting", 
	[
		"What is it, meat??"
	]
);

dialogue.setSpeech(
	"goblintown", "Goblin Town", 
	[
		"You are in Goblin Town, the home of the Goblin Race.",
		"Think what you will about the goblins, we are the most numerous... the most insolent and cruel of all.",
		"You do well to remember that while you're here"
	]
);
dialogue.setSpeech(
	"shamog", "Shamog", 
	[
		"You know me well enough, but tell me about yourself! Oh wait, I don't care!"
	],
	{
		condition: function(client) {
			if(getQuestStage(client) <= 1) {
				return "shamognew";
			}
			if(getQuestStage(client) == 2) {
				return "shamogold";
			}
		}
	}
);
dialogue.setSpeech(
	"shamognew", "Shamog", 
	[
		"I am Shamog, the Keeper of the Shaman's Staff",
		"Within that staff holds the mightiness of the goblin shaman and all his many powers",
		"The only problem is... uhm... I've lost it..."
	],
	{
		responses: ["staff"]
	}
);
dialogue.setSpeech(
	"staff", "Staff", 
	[
		"Yes, yes, the staff. I'm afraid I dropped it..."
	],
	{
		responses: ["droppeditlol", "where"]
	}
);
dialogue.setSpeech(
	"droppeditlol", "*laugh in face*", 
	[
		"Nobody laughs at Shamog!"
	],
	{
		action: function(client, bot) {
			bot.targetId = client.data.id;
			bot.attacking = true;
			bot.lastReaction = time();
		},
		responses: []
	}
);
dialogue.setSpeech(
	"where", "Where?", 
	[
		"Into the bog bowl.",
		"Confused? Well, look around, there's holes everywhere.",
		"The bog bowl is at the bottom of Goblin Town, and inside lies the Mighty Urchin."
	],
	{
		responses: ["urchin", "scared"]
	}
);
dialogue.setSpeech(
	"urchin", "Urchin?", 
	[
		"Yes. The Urchin is a bloated bog beast of many spikes below the water...",
		"It must have swallowed the staff long ago..."
	],
	{
		responses: ["illhelp", "scared"]
	}
);
dialogue.setSpeech(
	"scared", "I'm scared", 
	[
		"Wh... what a coward you are."
	],
	{
		responses: ["urchin", "droppeditlol"]
	}
);
dialogue.setSpeech(
	"illhelp", "I'll help", 
	[
		"Would you now? What kind of fool would challenge the Urchin? Someone with no fear?"
	],
	{
		responses: ["thatsme", "scared"]
	}
);
dialogue.setSpeech(
	"thatsme", "That's me, I'm fearless", 
	[
		"Go ahead then, you know I'll make it worth your while if you think you can survive the Urchin.",
		"REMEMBER. This staff is an heirloom of the goblins. Under no circumstances take off with it... or else.",
	],
	{
		action: function(client) {
			client.setProp(questId, 2);
		}
	}
);
dialogue.setSpeech(
	"shamogold", "Shamog", 
	[
		"You changed your mind about taking on the Urchin for the staff?",
		"I knew you would, you coward"
	],
	{
		responses: ["shutit", "notgivingup"]
	}
);
dialogue.setSpeech(
	"shutit", "Shut it", 
	[
		"Hahaha! Get you gone, you miserable troll. I knew you were lying."
	]
);
dialogue.setSpeech(
	"notgivingup", "I'm not giving up", 
	[
		"Admirable, but foolish. Just... don't tell anyone I dropped it ok?"
	]
);
dialogue.setSpeech(
	"greetingstaff", "Greeting", 
	[
		"You have it don't you... I can see it on your face. You found it!",
		"I always had faith in you %name%. Now... hand it over! *smiles*"
	],
	{
		responses: ["idk", "okhere"]
	}
);
dialogue.setSpeech(
	"idk", "I don't you what you're talking about", 
	[
		"I see. You're not only a coward but a LIAR ALSO.",
		"*PLACES CURSE ON*",
		"Now that staff will be nothing but a curse to you!"
	],
	{
		action: function(client) {
			client.setProp("speed", 1);
			client.setProp("gobtq", 4);
		}
	}
);
dialogue.setSpeech(
	"okhere", "Here you go", 
	[
		"Excellent work. Here's your reward.",
		"The ring of the gobhelin belongs to all those who are friends to the Goblin King.",
		"Remember, do not put it in a chest, or else you won't profit from its power!",
		"Farewell, friend of the Goblins :)"
	],
	{
		action: function(client) {
			if(client.data.rhand == "StaffGobhelin")
				EquipByType("rhand", "", client);
			client.removeItem("StaffGobhelin");
			client.addItem("GobhelinRing", 1, true);
			client.setProp("gobtq", 5);
			
			
		}
	}
);
dialogue.setSpeech(
	"greetingcurse", "Greeting", 
	[
		"CURSED YOU ARE! HAHAHAHA FOREVERMORE!!! HAHAHA!"
	],
	{
		responses: []
	}
);
dialogue.setSpeech(
	"greetingfriend", "Greeting", 
	[
		"Hello again friend of the Gobhelin!"
	]
);