prefab = {
	username: "Sharkie", 
	spawn: {x: -1.742874, y: 1.178963, z: -9.285871, r: 4.57},
	wanders: true,
	follows: false,
	attacks: false,
	unreactive: true,
	tradeFilter: ["fish"]
}

dialogue = new Dialogue();

dialogue.mainMenu = ["sell", "fishing", "fishingclub"];

dialogue.addSpeech("greeting", "Greeting", [
	"Welcome %name% to the lodge! I'm sharkie, the leader of the Fishing Club.",
]);

dialogue.setSpeech(
	"fishing", "Fishing", 
	[
		"Fishing has always been my hobby.",
		"Say, do you want to join the fishing club for 20 gold?"
	], 
	{
		responses: ["yesjoin", "nojoin"],
		displays: function(client) {
			return !Number(client.props.fishclub);
		}
	}
);
dialogue.setSpeech(
	"fishingclub", "Fishing Club", 
	[
		"You joined the fishing club %fishclubdate% ago",
		"I set up the fishing club because I wanted to unite penguins in fishing.",
		"So far, I have failed."
	], 
	{
		responses: ["cheerup", "fail"],
		displays: function(client) {
			return Number(client.props.fishclub);
		}
	}
);

dialogue.setSpeech(
	"nojoin", "No", 
	[
		"Well OH LARDY DARR. Fishing too lame for ya? Suit yourself! *SPITS ON*"
	],
	{
		responses: ["youwhat", "Goodbye"]
	}
);
dialogue.setSpeech(
	"yesjoin", "Yes", 
	[
		"Great! Here's your rod. There's plenty of places to fish around Penguin3D. There's a nice pond behind the lodge too.",
		"Enjoy yourself %name%!"
	], 
	{
		condition: function(client) {
			if(client.getItemCount("GoldOre") < 20) {
				return "notenough";
			}
		},
		action: function(client) {
			client.addItem("FishingRod", 1, true);
			client.setProp("fishclub", time());
		}
	}
);

dialogue.setSpeech(
	"notenough", "...", 
	[
		"Great! Oh... um... you don't have enough gold.",
		"QUIT WASTIN MY TIME. *SPITS ON*"
	], 
	{
		responses: ["youwhat", "Goodbye"]
	}
);

dialogue.setSpeech(
	"youwhat", "You what?", 
	[
		"You heard me! QUIT WASTIN' MY TIME LAD"
	], 
	{
		responses: ["youchattin", "Goodbye"]
	}
);

dialogue.setSpeech(
	"youchattin", "You're chattin crap mate", 
	[
		"You're bonkers messin' with me mate, you asking for a fight mate?"
	], 
	{
		responses: ["bringiton", "Goodbye"]
	}
);

dialogue.setSpeech(
	"bringiton", "*Bop em one on the face*",
	[
		"Right, that's it you wally"
	],
	{
		action: function(client, bot) {
			bot.targetId = client.data.id;
			bot.attacking = true;
			bot.lastReaction = time();
		}
	}
)

dialogue.setSpeech(
	"cheerup", "Cheer up old sport", 
	[
		"Cheer up. SO that's the sulution is it?",
		"Boy, I'm glad you're here to tell me these things Einstein."
	],
	{
		responses: ["youwhat", "Goodbye"]
	}
);

dialogue.setSpeech(
	"fail", "Failed?", 
	[
		"The world is still divided in a desire for power... but me... all I want is fish?",
		"Fishing can unite us, can it not?"
	],
	{
		responses: ["nojoin", "yesitcan"]
	}
);

dialogue.setSpeech(
	"yesitcan", "Yes it can!", 
	[
		"Then go out there and get more people to join!"
	],
	{
		responses: ["conspiracy", "Goodbye"]
	}
);

dialogue.setSpeech(
	"conspiracy", "Wait, are you using me to canvas your business?", 
	[
		"N... no? The gold I earn goes straight to the charities of uh...",
		"Sick penguin charity!"
	],
	{
		responses: ["liar!", "lovely"]
	}
);

dialogue.setSpeech(
	"liar!", "Liar!", 
	[
		"Liar? Is that how you talk to your leader?",
		"I WISH I NEVER LET YOU JOIN. *SPITS ON*"
	],
	{
		responses: ["youwhat", "Goodbye"]
	}
);

dialogue.setSpeech(
	"lovely", "Aw! You're so kind Sharkie", 
	[
		"Ahaha %name%, thanks. I feel like I've... I've always known you somehow..."
	]
);

dialogue.setSpeech(
	"sell", "Sell Fish",
	[
		"Lets see what you've got"
	],
	{
		responses: ["Goodbye"],
		action: function(client, bot) {
			setTimeout(P3D.BotTrade, 1500, client, bot);
		}
	}
);