prefab = {
	username: "Tour Guide", 
	spawn: {x: 69.5, y: 10, z: 115, r: 35},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: true
}

dialogue = new Dialogue();

dialogue.mainMenu = ["directions", "howtoplay", "clothes", "jetpack", "member"];

dialogue.addSpeech("greeting", "Greeting", [
	"Welcome to Penguin3D %name%, how can I help you!"
]);
dialogue.addSpeech("directions", "Directions", [
	"Penguin3D has many islands and places to explore",
	"Press M on your keyboard to open your map",
	"Then, just click on any of the landmarks to visit them",
	"You can also use the arrows on the sides of the map to look at different islands"
]);
dialogue.addSpeech("howtoplay", "How to play?", [
	"Use your pickaxe to mine for metal ores in mines and caves",
	"You can use ores to make weapons at the forge (say /forge)",
	"Once you're ready, you can hunt and kill enemies",
	"Would you like to go to the mine now?"
], ["gomine", "nomine"]);
dialogue.addSpeech("clothes", "Where are clothes?", [
	"You can go to the shop to buy clothes.",
	"The shop is right next to me! Would you like to go in now?"
], ["goshop", "nomine"]);
dialogue.addSpeech("jetpack", "Jetpack?", [
	"The easiest jetpack to buy is the space jetpack at the launch station.",
	"Would you like to go there now?"
], ["gospacestation", "nomine"]);
dialogue.addSpeech("member", "Membership", [
	"Do you want to become a member? It will cost 30 gold nuggets."
], ["yesmember", "nomine"]);

dialogue.addSpeech("gomine", "Yes", [
	"Ok! I'll take you there now."
], null, null, function(client) {
	setTimeout(JoinRoom, 2000, "Mine", client);
});
dialogue.addSpeech("goshop", "Yes", [
	"Ok! I'll take you there now."
], null, null, function(client) {
	setTimeout(JoinRoom, 2000, "Shop", client);
});
dialogue.addSpeech("gospacestation", "Yes", [
	"Ok! I'll take you there now."
], null, null, function(client) {
	setTimeout(JoinRoom, 2000, "LaunchStation", client);
});
dialogue.addSpeech("nomine", "No", [
	"Ok then!"
]);

dialogue.addSpeech("yesmember", "Yes", [
	"Congratulations! You are now a member!"
], null, function(client) {
	if(client.data.secondsPlayed < 3600 || client.getItemCount("GoldOre") < 30) {
		return "membertooshort";
	}
	if(client.data.rank >= 2) {
		return "memberalready";
	}
}, function(client) {
	client.data.rank = 2;
	client.data.color = "FF8C00";
	mysql.query("UPDATE users SET rank = 2, color = 'FF8C00' WHERE id = ?", [client.data.id]);
	ServerChat(client.data.username + " is now a member! Congratulations!");
	
	client.removeItem("GoldOre", 30);
	
	ModLog(Sprint("?:? became a member", [client.data.username, client.remote.address]));
});
dialogue.addSpeech("membertooshort", "...", [
	"Sorry... you need to play Penguin3D for one hour and give 30 gold nuggets to become a member"
]);
dialogue.addSpeech("memberalready", "...", [
	"You are already a member"
]);