P3D.GetClientPropOverride = function(key, client) {
	let headItem = items[client.data.head];
	let faceItem = items[client.data.face];
	let neckItem = items[client.data.neck];
	let bodyItem = items[client.data.body];
	let handItem = items[client.data.hands];
	let rhandItem = items[client.data.rhand];
	let feetItem = items[client.data.feet];
	let itemsWheel = [headItem, faceItem, neckItem, bodyItem, handItem, feetItem, rhandItem];

	let additives = String(client.props.additive).split(",");
	
	for(var i in additives) {
		let additiveItem = items[additives[i]];
		
		if(!additiveItem) continue;
		
		if(additiveItem == headItem || 
		additiveItem == faceItem || 
		additiveItem == neckItem || 
		additiveItem == bodyItem || 
		additiveItem == handItem || 
		additiveItem == rhandItem || 
		additiveItem == feetItem) {
			continue;
		}
		
		itemsWheel.push(additiveItem);
	}
	
	for(let i in itemsWheel) {
		let item = itemsWheel[i];
		
		if(!item) continue;
		if(!item.mods) continue;
		
		if(item.mods[key] && !client.props[key]) {
			return item.mods[key];
		}
	}
}
P3D.GetClientPropsOverridesAdditively = function(client) {
	let headItem = items[client.data.head];
	let faceItem = items[client.data.face];
	let neckItem = items[client.data.neck];
	let bodyItem = items[client.data.body];
	let handItem = items[client.data.hands];
	let rhandItem = items[client.data.rhand];
	let feetItem = items[client.data.feet];
	let itemsWheel = [headItem, faceItem, neckItem, bodyItem, handItem, feetItem, rhandItem];
	
	let additives = String(client.props.additive).split(",");
	
	let props = {};
	
	for(var i in additives) {
		let additiveItem = items[additives[i]];
		
		if(!additiveItem) continue;
		
		if(additiveItem == headItem || 
		additiveItem == faceItem || 
		additiveItem == neckItem || 
		additiveItem == bodyItem || 
		additiveItem == handItem || 
		additiveItem == rhandItem || 
		additiveItem == feetItem) {
			continue;
		}
		
		itemsWheel.push(additiveItem);
	}
	
	for(let i in itemsWheel) {
		let item = itemsWheel[i];
		
		if(!item) continue;
		if(!item.mods) continue;
		
		for(let e in item.mods) {
			props[e] = item.mods[e];
		}
	}
	
	return props;
}