TRADETESTMODE = false;

P3D.BotTrade = function(client, bot) {
	if(bot.isTrading) {
		let sclient = getClientByID(bot.trading);
		if(!valid(sclient)) {
			client.notice("Inform Damen of this error message.");
			return;
		}
		client.notice(bot.data.username + " is already trading with " + sclient.data.username + ". Please wait until he's done.");
		return;
	}
	bot.haggle = autoTradeHaggle;
	bot.tradeRequest = client.data.id;
	client.trading = bot.data.id;
	P3D.StartTrading(bot);
}
P3D.StartTrading = function(client) {
	if(!client.tradeRequest) return;
	if(client.isTrading) return;
	
	client.trading = client.tradeRequest;
	client.tradeRequest = 0;
	client.tradeName = "";
	client.lastTradeRequest = 0;
	
	let sclient = getClientByID(client.trading);
	
	if(!valid(sclient)) {
		client.notice("Trading partner is now offline");
		client.trading = 0;
		return;
	}
	if(sclient.wrathGame) {
		client.notice(sclient.data.username + " is in a wrath game.");
		return;
	}
	
	client.isTrading = true;
	sclient.isTrading = true;
	
	let tradeContA = new Container({
		name: client.data.id + "_Trade_" + sclient.data.id,
		nameOverride: client.data.username + "'s Offer",
		items: "{}",
		owner: client.data.id,
		password: "",
		private: true,
		mode: "Trade",
		traders: [client.data.id, sclient.data.id]
	}, client.room);
	
	let tradeContB = new Container({
		name: sclient.data.id + "_Trade_" + client.data.id,
		nameOverride: sclient.data.username + "'s Offer",
		items: "{}",
		owner: sclient.data.id,
		password: "",
		private: true,
		mode: "Trade",
		traders: [client.data.id, sclient.data.id]
	}, sclient.room);
	
	if(TRADETESTMODE) {
		setTimeout(function() {
			tradeContA.addItem("SilverOre", 5);
		}, 3500);
	}
	
	containers[tradeContA.id] = tradeContA;
	containers[tradeContB.id] = tradeContB;
	
	client.tradeCont = tradeContA;
	sclient.tradeCont = tradeContB;
	
	client.authContainerId = client.tradeCont.id;
	sclient.authContainerId = sclient.tradeCont.id;
	
	client.tradeResult = null;
	sclient.tradeResult = null;
	
	// Set temp inventories
	client.setTempInventory(client.inventory);
	sclient.setTempInventory(sclient.inventory);
		
	// Send both trade containers to both clients and await strade message
	
	client.send("cont", [client.tradeCont.id, client.tradeCont.name, 3]); // 3 to prompt strade response
	client.send("cont", [sclient.tradeCont.id, sclient.tradeCont.name, 3]);
	
	sclient.send("cont", [sclient.tradeCont.id, sclient.tradeCont.name, 3]);
	sclient.send("cont", [client.tradeCont.id, client.tradeCont.name, 3]);
}
P3D.EndedTrade = function(client, acceptedTrade) {
	if(!client.isTrading) return;
	
	/*
	// Put items from temp container back onto acc
	for(let itemId in client.tradeCont.inventory) {
		let amt = client.tradeCont.inventory[itemId];
		if(!amt) continue;
		
		client.addItem(itemId, amt, true);
	}
	*/
	
	let sclient = getClientByID(client.trading);
	
	if(client.tempInventory) {
		if(acceptedTrade) {
			if(!client.tradeResult) {
				client.tradeResult = {
					inherit: JSON.parse(JSON.stringify(sclient.tradeCont.inventory)),
					disinherit: JSON.parse(JSON.stringify(client.tradeCont.inventory))
				};
				sclient.tradeResult = {
					inherit: JSON.parse(JSON.stringify(client.tradeCont.inventory)),
					disinherit: JSON.parse(JSON.stringify(sclient.tradeCont.inventory))
				};
			}
			
			ModLog(Sprint("Trade between A ?:? and B ?:? trade result A ?", [client.data.username, client.ip(), sclient.data.username, sclient.ip(), JSON.stringify(client.tradeResult) ]));
			
			client.tempInventory = null;
			P3D.Inherit(client);
		}
		
		client.unsetTempInventory();
	}
	
	// Destroy the client's trade container
	let contId = client.tradeCont.id;
	
	containers[contId] = null;
	delete containers[contId];
	
	client.tradeCont = null;
	
	client.isTrading = false;
	client.trading = null; // Keep this here
	client.tradeAccepted = null;
	
	// Do the same for partner
	if(valid(sclient)) {
		P3D.EndedTrade(sclient, acceptedTrade);
	}
	
	if(!acceptedTrade)
		client.notice("The trade was ended.");
	else
		client.notice("The trade has ended successfully!");
		
	client.send("otrade", []);
}
P3D.RejectTrade = function(client) {
	if(!client.isTrading) return;
	
	if(time() - client.lastRejectTrade < 3 && client.lastRejectTrade) {
		return;
	}
	
	let sclient = getClientByID(client.trading);
	
	if(valid(sclient)) {
		sclient.notice(`${client.data.username} has rejected the trade. Try a different offer?`);
		sclient.send("rtrade", []);
		sclient.tradeAccepted = false;
	}
	
	client.notice(`${sclient.data.username} has been told that you've rejected the trade. They might change their offer.`);
	
	client.lastRejectTrade = time();
	client.tradeAccepted = false;
}
P3D.AcceptTrade = function(client) {
	if(!client.isTrading) return;
	if(client.tradeAccepted) return;
	
	let sclient = getClientByID(client.trading);
	
	if(valid(sclient)) {
		sclient.notice(`${client.data.username} has accepted the trade! Press Accept if you want to finish the trade or press Reject if you want to continue the trade.`);
		sclient.send("atrade", []);
	}
	
	if(TRADETESTMODE || sclient.haggle) {
		sclient.tradeAccepted = true; // TEMPORARY TESTING
	}
	
	client.tradeAccepted = true;
	
	if(sclient.tradeAccepted) // Both have accepted!
		P3D.EndedTrade(client, true);
}
P3D.Inherit = function(client) {
	if(!client.tradeResult) return;
	
	client.silentAIRI = true;
	
	for(var itemId in client.tradeResult.inherit) {
		let amt = client.tradeResult.inherit[itemId];
		if(!amt) continue;
		client.addItem(itemId, amt, true);
	}
	for(var itemId in client.tradeResult.disinherit) {
		let amt = client.tradeResult.disinherit[itemId];
		if(!amt) continue;
		client.removeItem(itemId, amt);
	}
	
	client.silentAIRI = false;
	client.tradeResult = null;
}
P3D.GetItemValue = function(itemId) {
	let item = items[itemId];
	
	if(!item) return;
	
	if(item.arrow) return 0;
	
	if(Number(item.value) > 0) {
		return item.value;
	}
	if(Number(item.cost) > 0) {
		return item.cost;
	}
	if(Number(item.medkit) > 0) {
		return item.medkit * 0.8;
	}
	if(item.forge) {
		let value = 0;
		for(let oreId in item.forge) {
			let ore = items[oreId];
			let amt = item.forge[oreId];
			
			if(!ore) continue;
			
			value += ore.value * amt;
		}
		return value;
	}
	if(item.multiplier) {
		let value = 0;
		for(let oreId in item.multiplier) {
			let ore = items[oreId];
			let amt = item.multiplier[oreId];
			
			if(!ore) continue;
			
			value += Math.ceil(ore.value / amt);
		}
		return value;
	}
	if(Number(item.damage) > 0) {
		return item.damage * 0.8;
	}
	return 0;
}

P3D.on("tran", function(client, type, item, quant, container) {
	let bot = getClientByID(client.trading);
	
	if(!valid(bot)) return;
	if(!bot.bot) return;
	if(!bot.haggle) return;
	if(!bot.tradeCont) return;
	
	let value = 0;
	
	for(let itemId in container.inventory) {
		let item = items[itemId];
		let amt = container.inventory[itemId];
		
		if(!item || !amt) continue;
		
		let itemValue = P3D.GetItemValue(itemId);
		
		if(!itemValue) continue;
		
		value += Math.ceil((itemValue * amt) * bot.haggle);
	}
	
	let currentGold = bot.tradeCont.getItemCount("GoldOre");
	let diff = value - currentGold;
	
	if(diff > 0) {
		bot.tradeCont.addItemDirect("GoldOre", diff);
	}else
	if(diff < 0) {
		bot.tradeCont.removeItemDirect("GoldOre", Math.abs(diff));
	}
});